Subject: Re: bug#50594: 28.0.50; tramp error after upgrading sudo to version 1.9.8: option passprompt_override does not take a value

From: Michael Albinus <[email-masked]>
Date: Wed, 15 Sep 2021 11:21:09 +0200

Joseph Mingrone <[email-masked]> writes:

Hi Joseph,

> Recipe to reproduce the problem:
>
> emacs -Q and evaluate
>       (find-file "/sudo::/some/file")
>
> Tramp runs
>       sudo -u root -s -H -p P""a""s""s""w""o""r""d"": /bin/sh -i
>
> but this error is now reported after upgrading sudo to 1.9.8
>
>     sudo: (null): option "passprompt_override" does not take a value
>     sudo: error initializing audit plugin sudoers_audit.
>
> I guess this is related to the 2017-07-21 entry at
> https://www.sudo.ws/changes.html.
>
> Am I missing anything?

Don't know. The ChangeLog entry you quote is four years old, I would
expect the change is distributed already with recent sudo packages. Do
you know which sudo version was installed before you have upgraded?

Does the same error also happen when you call from a shell

# sudo -u root -s -H -p P""a""s""s""w""o""r""d"": /bin/sh -i

What happens if you call

# sudo -u root -s -H /bin/sh -i

I run Fedora 34, which uses sudo-1.9.5p2-1.fc34. And the upcoming Fedora
35 will offer sudo-1.9.7p2-2.fc35, so I have no chance to test with sudo
1.9.8 next time.

Does it help to call

# env SUDO_PROMPT=P""a""s""s""w""o""r""d"": sudo -u root -s -H /bin/sh -i

Best regards, Michael.